Dotclear

Vous n'êtes pas identifié(e).

Annonce

13 novembre 2020 Sortie de Dotclear 2.18

#1 2020-09-17 16:55:35

nanart
Membre
Lieu : Roubaix
Inscription : 2007-08-19

[support]dcLatestVersionsLight plugin

Bonjour,
Je viens de publier sur dotAddict mon premier plug:
dcLatestVersionsLight
qui, comme son nom l'indique, est une version "légère"
du plugin dcLatestVersions, de Jean-Christian Denis, Pierre Van Glabeke.

Cette version corrige un problème du plugin référencé ci-dessus par une mise à jour légère.

A la différence de la version dont elle s’inspire, dcLatestVersionsLight :
* ne propose pas de widget
* son activation peut être faite depuis l'interface user preferences ou celle du plugin qui renvoie vers l'interface user
* une aide a été crée.

Le support pourra se faire ici, et sur Github via issues.

- testé sur dotclear 2.16,
- testé sur php 5.6.4. (et php 7)

nb: pour ce qui concerne la maj "légère" du plug dcLatestVersions, de Jean-Christian Denis, Pierre Van Glabeke,
une explication ici

Dernière modification par nanart (2020-09-18 19:06:27)


Dernière version stable Dotclear sur wampserver et chez ovh
Versions testing & unstable en local
https
php: 5.6.40 & 7.3.5

Hors ligne

#2 2020-09-19 22:35:35

nanart
Membre
Lieu : Roubaix
Inscription : 2007-08-19

Re : [support]dcLatestVersionsLight plugin

Mise à jour vers version 1.11

* ajouter les dernières lignes omises dans le fichier en/help/help.html
* modifier la version Dc minimum: (testé sur) dc 2.15
- les versions précédentes de Dc semblent générer une erreur de d'affichage (div) à cause de la ligne dcPage::helpBlock

Dernière modification par nanart (2020-09-19 22:36:30)


Dernière version stable Dotclear sur wampserver et chez ovh
Versions testing & unstable en local
https
php: 5.6.40 & 7.3.5

Hors ligne

#3 2020-09-20 15:16:56

nanart
Membre
Lieu : Roubaix
Inscription : 2007-08-19

Re : [support]dcLatestVersionsLight plugin

Bon, j'ai trouver le pb:
c'est l'insertion de

<div id="latests versions-tpl">

à la fin des fichiers help.
qui ne devrait pas être actif avant Dotclear 2.15 -- pas essayé dans le différentes versions dc 2.14...

En conséquence je publierais une maj du plug tenant compte de ce pb, testé --donc actif, au moins depuis dotclear 2.10


Dernière version stable Dotclear sur wampserver et chez ovh
Versions testing & unstable en local
https
php: 5.6.40 & 7.3.5

Hors ligne

#4 2020-10-02 20:15:09

nanart
Membre
Lieu : Roubaix
Inscription : 2007-08-19

Re : [support]dcLatestVersionsLight plugin

Nouvelle version 1.13
qui corrige dans _admin.php les références aux préférences user de manière "générique":
utilisation de
* workspace->put->($myitem...) & get($myitem)
* en lieu et place de $myworkspace->$myitem...

Dernière modification par nanart (2020-10-02 20:38:43)


Dernière version stable Dotclear sur wampserver et chez ovh
Versions testing & unstable en local
https
php: 5.6.40 & 7.3.5

Hors ligne

#5 2020-10-03 11:17:06

nanart
Membre
Lieu : Roubaix
Inscription : 2007-08-19

Re : [support]dcLatestVersionsLight plugin

M.... J'ai oublié de ne pas modifier (conserver) l'état d'activation préférences / show on Dashboard, lors de la mise à jour...

En attendant une mise à jour du plug, ne vous étonnez pas de ne pas voir l'affichage des versions Dc, pour l'instant
il suffit de réactiver/cocher la case dans mes préférences/tableau de bord...

Désolé ;-(

Dernière modification par nanart (2020-10-03 11:17:43)


Dernière version stable Dotclear sur wampserver et chez ovh
Versions testing & unstable en local
https
php: 5.6.40 & 7.3.5

Hors ligne

Vous n'êtes pas identifié(e).

Pied de page des forums

Sites map